---
title: Git (GitHub, GitLab)
description: Git Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects Git repositories.  This plugin collects the repository as specified by the purl and by default only collects a depth of 1.

Accepts purl types: git, gitlab, github

<Plugin transferTag="hoppr.core_plugins.collect_git_plugin">
{
`  process_timeout: 60
`
}
</Plugin>

### Configuration Options
| Option | Details |                                                                                                                                                                                                          |
| ------------------------ | -------------------------------------------------------------|
| git_command | String.  Defaults to `git`.  Command to be used to execute git commands.  May be overridden with another command that uses the same syntax, or a fully qualified path if `git` is not on the default `$PATH`. |
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |
| depth | all, 1 or any int greater than 1.  Sets the depth of the git clone command.  Default: 1 |
